Status: Resolved Priority: Should have
Author: Markus Klein Category:
Created: 2013-06-13 Assigned To: Chris topher
Updated: 2014-03-19 Due date:
Subject: Add new option "includeRecordsWithoutDefaultTranslation" for select() function
Description

A new option is being introduced for the select() function. [1]

See #24005:

If content language overlay is activated and the option "languageField" is set, the new option
"includeRecordsWithoutDefaultTranslation" (bool) allows to additionally fetch records, which do not have a parent in the default
language.

[1] http://docs.typo3.org/typo3cms/TyposcriptReference/Functions/Select/Index.html

Related issues:
related to Core - Feature # 24005: cObject CONTENT does not allow to fetch re... Resolved 2010-11-10
related to Core - Bug # 48673: Changed language overlay behaviour in TYPO3 6.* Accepted 2013-05-30

Associated revisions
Revision 7be45ced - 2014-03-19 18:23 - Chris topher

[TASK] Add "includeRecordsWithoutDefaultTranslation" to select function

Document the new property includeRecordsWithoutDefaultTranslation, which
allows to fetch records, which do not have a parent in the default
language.

Change-Id: Ie72b411ec51e3f122c073e990377cdabf9593a27
Resolves: #49106
Reviewed-on: https://review.typo3.org/28538
Reviewed-by: Chris topher
Tested-by: Chris topher

History
#1 - 2014-03-19 18:20 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Documentation/TYPO3/Reference/Typoscript has been pushed to the review server.
It is available at https://review.typo3.org/28538

#2 - 2014-03-19 18:20 - Chris topher
- Status changed from Under Review to New
- Assigned To set to Chris topher
#3 - 2014-03-19 18:22 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Documentation/TYPO3/Reference/Typoscript has been pushed to the review server.
It is available at https://review.typo3.org/28538

#4 - 2014-03-19 18:23 - Gerrit Code Review

Patch set 3 for branch master of project Documentation/TYPO3/Reference/Typoscript has been pushed to the review server.
It is available at https://review.typo3.org/28538

#5 - 2014-03-19 18:36 - Chris topher
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7be45cede5e8fbaf5399384dc115ffce3f2b6270.
